import {
    ShapeRect,
    MySprite
} from './Unit';

export class Exercises{

    /**正面 */
    front: MySprite;

    /**发光 */
    light: MySprite;

    /**背面 */
    back: MySprite;

    /**基板 */
    baseboard: ShapeRect;

    /**当前显示：0-背面，1-正面 */
    curShow = '0';

    /**当前练习题顺序 */
    index = 0;

    /**显示亮光 */
    lightShow = true;

    /**正在显示亮光 */
    lighting = false;

    audioUrl: string;

    /**内容类型：T-文本，P-图片；默认为文本 */
    contentType : 'T';

    /**内容 */
    contentSprite : MySprite;

    /**
     * 重置内容
     */
    resetContent(){

        this.curShow = '0';

        this.lightShow = true;

        this.lighting = false;

        this.audioUrl = '';
    }
}